summaryrefslogtreecommitdiff
path: root/packaging/Debian/debian-woody/patches/installswat.sh.patch
blob: 8bd120257e9088024e97073d66f9933f1d4f1a34 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
--- samba-3.0.1/source/script/installswat.sh.orig	Fri Dec 19 14:49:40 2003
+++ samba-3.0.1/source/script/installswat.sh	Fri Dec 19 14:48:49 2003
@@ -9,7 +9,7 @@
 echo Installing the Samba Web Administration Tool
 
 LANGS=". `cd $SRCDIR../swat/; /bin/echo lang/??`"
-echo Installing langs are `cd $SRCDIR../swat/lang/; /bin/echo ??`
+echo Installing the following additional langs: `cd $SRCDIR../swat/lang/; /bin/echo ??`
 
 for ln in $LANGS; do 
  SWATLANGDIR=$SWATDIR/$ln
@@ -23,11 +23,8 @@
 	fi
     fi
  done
-done
-
-# Install images
-for ln in $LANGS; do
 
+  # Install images
   for f in $SRCDIR../swat/$ln/images/*.gif; do
       if [ ! -f $f ] ; then
 	continue
@@ -38,8 +35,7 @@
       chmod 0644 $FNAME
   done
 
-  # Install html help
-
+  # Install html hel
   for f in $SRCDIR../swat/$ln/help/*.html; do
       if [ ! -f $f ] ; then
 	continue
@@ -58,7 +54,6 @@
   done
 
   # Install "server-side" includes
-
   for f in $SRCDIR../swat/$ln/include/*.html; do
       if [ ! -f $f ] ; then
 	continue
@@ -78,7 +73,7 @@
     for f in $SRCDIR../docs/htmldocs/*.html; do
 	FNAME=$SWATDIR/help/`basename $f`
 	echo $FNAME
-	cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+	ln -s ../../../doc/samba-doc/htmldocs/`basename $f` $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
 	chmod 0644 $FNAME
     done
 fi